#!/bin/bash

"""
baixar cadeia de certificados da:
1) https://www.gov.br/iti/pt-br/assuntos/repositorio/certificados-das-acs-da-icp-brasil-arquivo-unico-compactado
2) http://www.sped.fazenda.mg.gov.br/spedmg/nfe/downloads/ (ver se tem)
"""

in='';
for c in certificados/*.crt; do
    sha256sum $c > $c.sha256sum;
done;

for c in certificados/*.cer; do
    sha256sum $c > $c.sha256sum;
done;

for c in certificados/*.crt; do
    sha256sum -c $c.sha256sum || exit -1;
    in="$in -certfile $c"; 
done; 
for c in certificados/*.cer; do
    sha256sum -c $c.sha256sum || exit -1;
    in="$in -certfile $c";
done;

openssl crl2pkcs7 -nocrl $in -out cadeia.p7b; 
openssl pkcs7 -print_certs -in cadeia.p7b -out cadeia.pem; 

sha256sum cadeia.pem > cadeia.pem.sha256sum;
rm -f cadeia.p7b;
exit 0
